##
##  libcleri.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libcleri
Summary:      Parser Library
URL:          https://github.com/transceptor-technology/libcleri
Vendor:       Transceptor Technology
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      MIT
Version:      1.0.0
Release:      20220115

#   list of sources
Source0:      https://github.com/transceptor-technology/libcleri/archive/v%{version}.tar.gz
Patch0:       libcleri.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  pcre2
PreReq:       pcre2

%description
    Libcleri is a powerful tool to build languages. From a built
    language, libcleri can automatically create parse trees, which are
    data structures representing how a grammar matches input. It also
    provides feedback in case the input does not match the language.
    This can be useful for auto-completion, suggestions or error
    handling.

%track
    prog libcleri = {
        version   = %{version}
        url       = https://github.com/transceptor-technology/libcleri/releases
        regex     = (__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    cd Release
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include/cleri \
        $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -m 644 \
        Release/libcleri.a $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_shtool} install -c -m 644 \
        inc/cleri/* $RPM_BUILD_ROOT%{l_prefix}/include/cleri/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

